Module jdk.accessibility
Package com.sun.java.accessibility.util

## Class SwingEventMonitor

- java.lang.Object
- - com.sun.java.accessibility.util.AWTEventMonitor
  - - com.sun.java.accessibility.util.SwingEventMonitor

    public class SwingEventMonitor
    extends AWTEventMonitor

`SwingEventMonitor` extends `AWTEventMonitor` by adding a suite of listeners conditionally installed on every Swing component instance in the Java Virtual Machine. The events captured by these listeners are made available through a unified set of listeners supported by `SwingEventMonitor`. With this, all the individual events on each of the AWT and Swing component instances are funneled into one set of listeners broken down by category (see `EventID` for the categories).

This class depends upon `EventQueueMonitor`, which provides the base level support for capturing the top-level containers as they are created.

Because this class extends `AWTEventMonitor`, it is not necessary to use this class and `AWTEventMonitor` at the same time. If you want to monitor both AWT and Swing components, you should use just this class.

See Also:
  `AWTEventMonitor`

### Field Summary

Fields
`protected static EventListenerList` `listenerList` The master list of all listeners registered by other classes.

### Fields declared in class com.sun.java.accessibility.util.AWTEventMonitor

`actionListener, adjustmentListener, componentListener, componentWithFocus, containerListener, focusListener, itemListener, keyListener, mouseListener, mouseMotionListener, textListener, windowListener`

### Constructor Summary

Constructors
`SwingEventMonitor()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `addAncestorListener​(AncestorListener l)` Adds the specified listener to receive all `ANCESTOR` events on each component instance in the Java Virtual Machine as they occur.
`static void` `addCaretListener​(CaretListener l)` Adds the specified listener to receive all `CARET` events on each component instance in the Java Virtual Machine as they occur.
`static void` `addCellEditorListener​(CellEditorListener l)` Adds the specified listener to receive all `CELLEDITOR` events on each component instance in the Java Virtual Machine as they occur.
`static void` `addChangeListener​(ChangeListener l)` Adds the specified listener to receive all `CHANGE` events on each component instance in the Java Virtual Machine as they occur.
`static void` `addColumnModelListener​(TableColumnModelListener l)` Adds the specified listener to receive all `COLUMNMODEL` events on each component instance in the Java Virtual Machine as they occur.
`static void` `addDocumentListener​(DocumentListener l)` Adds the specified listener to receive all `DOCUMENT` events on each component instance in the Java Virtual Machine as they occur.
`static void` `addInternalFrameListener​(InternalFrameListener l)` Adds the specified listener to receive all `INTERNALFRAME` events on each component instance in the Java Virtual Machine as they occur.
`static void` `addListDataListener​(ListDataListener l)` Adds the specified listener to receive all `LISTDATA` events on each component instance in the Java Virtual Machine as they occur.
`static void` `addListSelectionListener​(ListSelectionListener l)` Adds the specified listener to receive all `LISTSELECTION` events on each component instance in the Java Virtual Machine as they occur.
`static void` `addMenuListener​(MenuListener l)` Adds the specified listener to receive all `MENU` events on each component instance in the Java Virtual Machine as they occur.
`static void` `addPopupMenuListener​(PopupMenuListener l)` Adds the specified listener to receive all `POPUPMENU` events on each component instance in the Java Virtual Machine as they occur.
`static void` `addPropertyChangeListener​(PropertyChangeListener l)` Adds the specified listener to receive all `PROPERTYCHANGE` events on each component instance in the Java Virtual Machine as they occur.
`static void` `addTableModelListener​(TableModelListener l)` Adds the specified listener to receive all `TABLEMODEL` events on each component instance in the Java Virtual Machine as they occur.
`static void` `addTreeExpansionListener​(TreeExpansionListener l)` Adds the specified listener to receive all `TREEEXPANSION` events on each component instance in the Java Virtual Machine as they occur.
`static void` `addTreeModelListener​(TreeModelListener l)` Adds the specified listener to receive all `TREEMODEL` events on each component instance in the Java Virtual Machine as they occur.
`static void` `addTreeSelectionListener​(TreeSelectionListener l)` Adds the specified listener to receive all `TREESELECTION` events on each component instance in the Java Virtual Machine as they occur.
`static void` `addUndoableEditListener​(UndoableEditListener l)` Adds the specified listener to receive all `UNDOABLEEDIT` events on each component instance in the Java Virtual Machine as they occur.
`static void` `addVetoableChangeListener​(VetoableChangeListener l)` Adds the specified listener to receive all `VETOABLECHANGE` events on each component instance in the Java Virtual Machine as they occur.
`static void` `removeAncestorListener​(AncestorListener l)` Removes the specified listener so it no longer receives `ANCESTOR` events when they occur.
`static void` `removeCaretListener​(CaretListener l)` Removes the specified listener so it no longer receives `CARET` events when they occur.
`static void` `removeCellEditorListener​(CellEditorListener l)` Removes the specified listener so it no longer receives `CELLEDITOR` events when they occur.
`static void` `removeChangeListener​(ChangeListener l)` Removes the specified listener so it no longer receives `CHANGE` events when they occur.
`static void` `removeColumnModelListener​(TableColumnModelListener l)` Removes the specified listener so it no longer receives `COLUMNMODEL` events when they occur.
`static void` `removeDocumentListener​(DocumentListener l)` Removes the specified listener so it no longer receives `DOCUMENT` events when they occur.
`static void` `removeInternalFrameListener​(InternalFrameListener l)` Removes the specified listener so it no longer receives `INTERNALFRAME` events when they occur.
`static void` `removeListDataListener​(ListDataListener l)` Removes the specified listener so it no longer receives `LISTDATA` events when they occur.
`static void` `removeListSelectionListener​(ListSelectionListener l)` Removes the specified listener so it no longer receives `LISTSELECTION` events when they occur.
`static void` `removeMenuListener​(MenuListener l)` Removes the specified listener so it no longer receives `MENU` events when they occur.
`static void` `removePopupMenuListener​(PopupMenuListener l)` Removes the specified listener so it no longer receives `POPUPMENU` events when they occur.
`static void` `removePropertyChangeListener​(PropertyChangeListener l)` Removes the specified listener so it no longer receives `PROPERTYCHANGE` events when they occur.
`static void` `removeTableModelListener​(TableModelListener l)` Removes the specified listener so it no longer receives `TABLEMODEL` events when they occur.
`static void` `removeTreeExpansionListener​(TreeExpansionListener l)` Removes the specified listener so it no longer receives `TREEEXPANSION` events when they occur.
`static void` `removeTreeModelListener​(TreeModelListener l)` Removes the specified listener so it no longer receives `TREEMODEL` events when they occur.
`static void` `removeTreeSelectionListener​(TreeSelectionListener l)` Removes the specified listener so it no longer receives `TREESELECTION` events when they occur.
`static void` `removeUndoableEditListener​(UndoableEditListener l)` Removes the specified listener so it no longer receives `UNDOABLEEDIT` events when they occur.
`static void` `removeVetoableChangeListener​(VetoableChangeListener l)` Removes the specified listener so it no longer receives `VETOABLECHANGE` events when they occur.

### Methods declared in class com.sun.java.accessibility.util.AWTEventMonitor

`addActionListener, addAdjustmentListener, addComponentListener, addContainerListener, addFocusListener, addItemListener, addKeyListener, addMouseListener, addMouseMotionListener, addTextListener, addWindowListener, getComponentWithFocus, removeActionListener, removeAdjustmentListener, removeComponentListener, removeContainerListener, removeFocusListener, removeItemListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeTextListener, removeWindowListener`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### listenerList

    protected static final EventListenerList listenerList

The master list of all listeners registered by other classes. This can only be publicly modified by calling the add or remove listener methods in this class.

### Constructor Detail

#### SwingEventMonitor

    public SwingEventMonitor()

### Method Detail

#### addAncestorListener

    public static void addAncestorListener​(AncestorListener l)

Adds the specified listener to receive all `ANCESTOR` events on each component instance in the Java Virtual Machine as they occur.

Note: This listener is automatically added to all component instances created after this method is called. In addition, it is only added to component instances that support this listener type.

Parameters:
  `l` - the listener to add
See Also:
  `removeAncestorListener(javax.swing.event.AncestorListener)`

#### removeAncestorListener

    public static void removeAncestorListener​(AncestorListener l)

Removes the specified listener so it no longer receives `ANCESTOR` events when they occur.

Parameters:
  `l` - the listener to remove
See Also:
  `addAncestorListener(javax.swing.event.AncestorListener)`

#### addCaretListener

    public static void addCaretListener​(CaretListener l)

Adds the specified listener to receive all `CARET` events on each component instance in the Java Virtual Machine as they occur.

Note: This listener is automatically added to all component instances created after this method is called. In addition, it is only added to component instances that support this listener type.

Parameters:
  `l` - the listener to add
See Also:
  `removeCaretListener(javax.swing.event.CaretListener)`

#### removeCaretListener

    public static void removeCaretListener​(CaretListener l)

Removes the specified listener so it no longer receives `CARET` events when they occur.

Parameters:
  `l` - the listener to remove
See Also:
  `addCaretListener(javax.swing.event.CaretListener)`

#### addCellEditorListener

    public static void addCellEditorListener​(CellEditorListener l)

Adds the specified listener to receive all `CELLEDITOR` events on each component instance in the Java Virtual Machine as they occur.

Note: This listener is automatically added to all component instances created after this method is called. In addition, it is only added to component instances that support this listener type.

Parameters:
  `l` - the listener to add
See Also:
  `removeCellEditorListener(javax.swing.event.CellEditorListener)`

#### removeCellEditorListener

    public static void removeCellEditorListener​(CellEditorListener l)

Removes the specified listener so it no longer receives `CELLEDITOR` events when they occur.

Parameters:
  `l` - the listener to remove
See Also:
  `addCellEditorListener(javax.swing.event.CellEditorListener)`

#### addChangeListener

    public static void addChangeListener​(ChangeListener l)

Adds the specified listener to receive all `CHANGE` events on each component instance in the Java Virtual Machine as they occur.

Note: This listener is automatically added to all component instances created after this method is called. In addition, it is only added to component instances that support this listener type.

Parameters:
  `l` - the listener to add
See Also:
  `removeChangeListener(javax.swing.event.ChangeListener)`

#### removeChangeListener

    public static void removeChangeListener​(ChangeListener l)

Removes the specified listener so it no longer receives `CHANGE` events when they occur.

Parameters:
  `l` - the listener to remove
See Also:
  `addChangeListener(javax.swing.event.ChangeListener)`

#### addColumnModelListener

    public static void addColumnModelListener​(TableColumnModelListener l)

Adds the specified listener to receive all `COLUMNMODEL` events on each component instance in the Java Virtual Machine as they occur.

Note: This listener is automatically added to all component instances created after this method is called. In addition, it is only added to component instances that support this listener type.

Parameters:
  `l` - the listener to add
See Also:
  `removeColumnModelListener(javax.swing.event.TableColumnModelListener)`

#### removeColumnModelListener

    public static void removeColumnModelListener​(TableColumnModelListener l)

Removes the specified listener so it no longer receives `COLUMNMODEL` events when they occur.

Parameters:
  `l` - the listener to remove
See Also:
  `addColumnModelListener(javax.swing.event.TableColumnModelListener)`

#### addDocumentListener

    public static void addDocumentListener​(DocumentListener l)

Adds the specified listener to receive all `DOCUMENT` events on each component instance in the Java Virtual Machine as they occur.

Note: This listener is automatically added to all component instances created after this method is called. In addition, it is only added to component instances that support this listener type.

Parameters:
  `l` - the listener to add
See Also:
  `removeDocumentListener(javax.swing.event.DocumentListener)`

#### removeDocumentListener

    public static void removeDocumentListener​(DocumentListener l)

Removes the specified listener so it no longer receives `DOCUMENT` events when they occur.

Parameters:
  `l` - the listener to remove
See Also:
  `addDocumentListener(javax.swing.event.DocumentListener)`

#### addListDataListener

    public static void addListDataListener​(ListDataListener l)

Adds the specified listener to receive all `LISTDATA` events on each component instance in the Java Virtual Machine as they occur.

Note: This listener is automatically added to all component instances created after this method is called. In addition, it is only added to component instances that support this listener type.

Parameters:
  `l` - the listener to add
See Also:
  `removeListDataListener(javax.swing.event.ListDataListener)`

#### removeListDataListener

    public static void removeListDataListener​(ListDataListener l)

Removes the specified listener so it no longer receives `LISTDATA` events when they occur.

Parameters:
  `l` - the listener to remove
See Also:
  `addListDataListener(javax.swing.event.ListDataListener)`

#### addListSelectionListener

    public static void addListSelectionListener​(ListSelectionListener l)

Adds the specified listener to receive all `LISTSELECTION` events on each component instance in the Java Virtual Machine as they occur.

Note: This listener is automatically added to all component instances created after this method is called. In addition, it is only added to component instances that support this listener type.

Parameters:
  `l` - the listener to add
See Also:
  `removeListSelectionListener(javax.swing.event.ListSelectionListener)`

#### removeListSelectionListener

    public static void removeListSelectionListener​(ListSelectionListener l)

Removes the specified listener so it no longer receives `LISTSELECTION` events when they occur.

Parameters:
  `l` - the listener to remove
See Also:
  `addListSelectionListener(javax.swing.event.ListSelectionListener)`

#### addMenuListener

    public static void addMenuListener​(MenuListener l)

Adds the specified listener to receive all `MENU` events on each component instance in the Java Virtual Machine as they occur.

Note: This listener is automatically added to all component instances created after this method is called. In addition, it is only added to component instances that support this listener type.

Parameters:
  `l` - the listener to add
See Also:
  `removeMenuListener(javax.swing.event.MenuListener)`

#### removeMenuListener

    public static void removeMenuListener​(MenuListener l)

Removes the specified listener so it no longer receives `MENU` events when they occur.

Parameters:
  `l` - the listener to remove
See Also:
  `addMenuListener(javax.swing.event.MenuListener)`

#### addPopupMenuListener

    public static void addPopupMenuListener​(PopupMenuListener l)

Adds the specified listener to receive all `POPUPMENU` events on each component instance in the Java Virtual Machine as they occur.

Note: This listener is automatically added to all component instances created after this method is called. In addition, it is only added to component instances that support this listener type.

Parameters:
  `l` - the listener to add
See Also:
  `removePopupMenuListener(javax.swing.event.PopupMenuListener)`

#### removePopupMenuListener

    public static void removePopupMenuListener​(PopupMenuListener l)

Removes the specified listener so it no longer receives `POPUPMENU` events when they occur.

Parameters:
  `l` - the listener to remove
See Also:
  `addPopupMenuListener(javax.swing.event.PopupMenuListener)`

#### addTableModelListener

    public static void addTableModelListener​(TableModelListener l)

Adds the specified listener to receive all `TABLEMODEL` events on each component instance in the Java Virtual Machine as they occur.

Note: This listener is automatically added to all component instances created after this method is called. In addition, it is only added to component instances that support this listener type.

Parameters:
  `l` - the listener to add
See Also:
  `removeTableModelListener(javax.swing.event.TableModelListener)`

#### removeTableModelListener

    public static void removeTableModelListener​(TableModelListener l)

Removes the specified listener so it no longer receives `TABLEMODEL` events when they occur.

Parameters:
  `l` - the listener to remove
See Also:
  `addTableModelListener(javax.swing.event.TableModelListener)`

#### addTreeExpansionListener

    public static void addTreeExpansionListener​(TreeExpansionListener l)

Adds the specified listener to receive all `TREEEXPANSION` events on each component instance in the Java Virtual Machine as they occur.

Note: This listener is automatically added to all component instances created after this method is called. In addition, it is only added to component instances that support this listener type.

Parameters:
  `l` - the listener to add
See Also:
  `removeTreeExpansionListener(javax.swing.event.TreeExpansionListener)`

#### removeTreeExpansionListener

    public static void removeTreeExpansionListener​(TreeExpansionListener l)

Removes the specified listener so it no longer receives `TREEEXPANSION` events when they occur.

Parameters:
  `l` - the listener to remove
See Also:
  `addTreeExpansionListener(javax.swing.event.TreeExpansionListener)`

#### addTreeModelListener

    public static void addTreeModelListener​(TreeModelListener l)

Adds the specified listener to receive all `TREEMODEL` events on each component instance in the Java Virtual Machine as they occur.

Note: This listener is automatically added to all component instances created after this method is called. In addition, it is only added to component instances that support this listener type.

Parameters:
  `l` - the listener to add
See Also:
  `removeTreeModelListener(javax.swing.event.TreeModelListener)`

#### removeTreeModelListener

    public static void removeTreeModelListener​(TreeModelListener l)

Removes the specified listener so it no longer receives `TREEMODEL` events when they occur.

Parameters:
  `l` - the listener to remove
See Also:
  `addTreeModelListener(javax.swing.event.TreeModelListener)`

#### addTreeSelectionListener

    public static void addTreeSelectionListener​(TreeSelectionListener l)

Adds the specified listener to receive all `TREESELECTION` events on each component instance in the Java Virtual Machine as they occur.

Note: This listener is automatically added to all component instances created after this method is called. In addition, it is only added to component instances that support this listener type.

Parameters:
  `l` - the listener to add
See Also:
  `removeTreeSelectionListener(javax.swing.event.TreeSelectionListener)`

#### removeTreeSelectionListener

    public static void removeTreeSelectionListener​(TreeSelectionListener l)

Removes the specified listener so it no longer receives `TREESELECTION` events when they occur.

Parameters:
  `l` - the listener to remove
See Also:
  `addTreeSelectionListener(javax.swing.event.TreeSelectionListener)`

#### addUndoableEditListener

    public static void addUndoableEditListener​(UndoableEditListener l)

Adds the specified listener to receive all `UNDOABLEEDIT` events on each component instance in the Java Virtual Machine as they occur.

Note: This listener is automatically added to all component instances created after this method is called. In addition, it is only added to component instances that support this listener type.

Parameters:
  `l` - the listener to add
See Also:
  `removeUndoableEditListener(javax.swing.event.UndoableEditListener)`

#### removeUndoableEditListener

    public static void removeUndoableEditListener​(UndoableEditListener l)

Removes the specified listener so it no longer receives `UNDOABLEEDIT` events when they occur.

Parameters:
  `l` - the listener to remove
See Also:
  `addUndoableEditListener(javax.swing.event.UndoableEditListener)`

#### addInternalFrameListener

    public static void addInternalFrameListener​(InternalFrameListener l)

Adds the specified listener to receive all `INTERNALFRAME` events on each component instance in the Java Virtual Machine as they occur.

Note: This listener is automatically added to all component instances created after this method is called. In addition, it is only added to component instances that support this listener type.

Parameters:
  `l` - the listener to add
See Also:
  `removeInternalFrameListener(javax.swing.event.InternalFrameListener)`

#### removeInternalFrameListener

    public static void removeInternalFrameListener​(InternalFrameListener l)

Removes the specified listener so it no longer receives `INTERNALFRAME` events when they occur.

Parameters:
  `l` - the listener to remove
See Also:
  `addInternalFrameListener(javax.swing.event.InternalFrameListener)`

#### addPropertyChangeListener

    public static void addPropertyChangeListener​(PropertyChangeListener l)

Adds the specified listener to receive all `PROPERTYCHANGE` events on each component instance in the Java Virtual Machine as they occur.

Note: This listener is automatically added to all component instances created after this method is called. In addition, it is only added to component instances that support this listener type.

Parameters:
  `l` - the listener to add
See Also:
  `removePropertyChangeListener(java.beans.PropertyChangeListener)`

#### removePropertyChangeListener

    public static void removePropertyChangeListener​(PropertyChangeListener l)

Removes the specified listener so it no longer receives `PROPERTYCHANGE` events when they occur.

Parameters:
  `l` - the listener to remove
See Also:
  `addPropertyChangeListener(java.beans.PropertyChangeListener)`

#### addVetoableChangeListener

    public static void addVetoableChangeListener​(VetoableChangeListener l)

Adds the specified listener to receive all `VETOABLECHANGE` events on each component instance in the Java Virtual Machine as they occur.

Note: This listener is automatically added to all component instances created after this method is called. In addition, it is only added to component instances that support this listener type.

Parameters:
  `l` - the listener to add
See Also:
  `removeVetoableChangeListener(java.beans.VetoableChangeListener)`

#### removeVetoableChangeListener

    public static void removeVetoableChangeListener​(VetoableChangeListener l)

Removes the specified listener so it no longer receives `VETOABLECHANGE` events when they occur.

Parameters:
  `l` - the listener to remove
See Also:
  `addVetoableChangeListener(java.beans.VetoableChangeListener)`